tt_spec_propname(library call)

NAME
tt_spec_propname — return an element of the property name list for an object spec

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_spec_propname(
const char *objid,
int n);

DESCRIPTION

The tt_spec_propname function returns the nth element of the property name list for this object spec.

The objid argument is the identifier of the object involved in this operation. The n argument is the item of the list whose element is to be returned. The list numbering begins with zero.

RETURN VALUE

Upon successful completion, the tt_spec_propname function returns the property name. If there are n properties or less, tt_spec_propname returns NULL. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned pointer:

TT_OK
    The operation completed successfully.

TT_ERR_DBAVAIL
    The ToolTalk service could not access the ToolTalk database needed for this operation.

TT_ERR_DBEXIST
    The ToolTalk service could not access the specified ToolTalk database in the expected place.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_NUM
    The integer value passed was invalid (out of range).

TT_ERR_OBJID
    The objid passed to the ToolTalk service does not reference an existing object spec.

APPLICATION USAGE

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_ptr_error(3), tt_free(3).